Bug 745460 - Default OSD class directory is wrong, breaking RBD usage
Summary: Default OSD class directory is wrong, breaking RBD usage
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ceph   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Nalley
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 691033
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-12 12:50 UTC by Daniel Berrange
Modified: 2012-03-22 17:02 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 17:02:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2011-10-12 12:50:39 UTC
Description of problem:
The default OSD class directory is set to /usr/lib/rados-classes, but the RPM build installs the plugins in /usr/lib64/rados-classes on my archs.

This means that OSD lacks any ability to use RBD.

As a temporary hack I can override it with this in ceph.conf:

[osd]
        osd class dir = /usr/lib64/rados-classes

but the out of the box config ought to be fixed.


Version-Release number of selected component (if applicable):
ceph-0.31-4.fc17.x86_64   (also affects f16)

How reproducible:
Only on 64-bit hosts with /usr/lib64

Steps to Reproduce:
1. Setup a Ceph cluster
2. Attempt to create a RBD image
# rbd  create demo2 --size 10

3.
  
Actual results:
2011-10-12 13:45:38.657797 7f0b9add9740 librbd: failed to assign a block name for image
create error: Input/output error


Expected results:
No errors

Additional info:

Comment 1 Daniel Berrange 2011-10-12 17:02:15 UTC
Upstream has a fix for it here

https://github.com/NewDreamNetwork/ceph/commit/7e5dee907a8218647a88d1c7d3316cc277e1c44b

Comment 2 David Nalley 2011-11-05 22:01:13 UTC
b/c upstream has a fix for it (and it appears that fix is in 0.37 - a simple version upgrade should fix.


Note You need to log in before you can comment on or make changes to this bug.